%global githash 63058ef
%global gitdate 20201208

Name:           fxdiv
Version:        0
Release:        %{gitdate}.git%{githash}%{?dist}
Summary:        Division via fixed-point multiplication by inverse
License:        BSD
URL:            https://github.com/Maratyszcza/fxdiv
BuildArch:      noarch

Source0:        %{name}.tar.xz

BuildRequires:  cmake gcc-c++

%global __cmake_in_source_build 1

%description
Header-only library for division via fixed-point
multiplication by inverse. FXdiv implements an
algorithm to replace an integer division with a
multiplication and two shifts.

%package        devel
Summary:        Development files

%description    devel
This package contains the development files for %{name}.


%prep
%setup -q -n %{name}


%build
mkdir build
pushd build
%cmake .. \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DFXDIV_BUILD_TESTS=OFF \
       -DFXDIV_BUILD_BENCHMARKS=OFF
make %{?_smp_mflags}
popd


%install
rm -rf %{buildroot}
pushd build
make install DESTDIR=%{buildroot}
popd


%files devel
%license LICENSE
%doc README.md
%{_includedir}/*


%changelog
* Fri Sep 25 2020 Cristian Balint <cristian.balint@gmail.com> - 0.1
- initial build
